package com.zivilon.cindercore.coremod;

import cpw.mods.fml.relauncher.IFMLLoadingPlugin;
import cpw.mods.fml.relauncher.IFMLLoadingPlugin.MCVersion;
import cpw.mods.fml.relauncher.IFMLLoadingPlugin.SortingIndex;
import cpw.mods.fml.relauncher.IFMLLoadingPlugin.TransformerExclusions;
import org.spongepowered.asm.launch.MixinBootstrap;
import org.spongepowered.asm.mixin.Mixins;
import java.util.Map;

@TransformerExclusions({"com.zivilon.cindercore.coremod"})
@SortingIndex(1001)
@MCVersion("1.7.10")
public class CoreMod implements IFMLLoadingPlugin {
    @Override
    public String[] getASMTransformerClass() {
        return new String[] { "com.zivilon.cindercore.coremod.PacketWindowItemsTransformer", "com.zivilon.cindercore.coremod.ChunkMethodsTransformer" };
    }

    @Override
    public String getModContainerClass() {
        return null;
    }

    @Override
    public String getSetupClass() {
        return null;
    }

    @Override
    public void injectData(Map<String, Object> data) {
        MixinBootstrap.init();
        Mixins.addConfiguration("mixins.cindercore.json");
    }

    @Override
    public String getAccessTransformerClass() {
        return null;
    }
}
